<!doctype html>
<html>
<head>
    <title>Volunteer QA: The Price of Freedom is Eternal Vigilance | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Volunteer QA: The Price of Freedom is Eternal Vigilance | Tor Project">
    <meta property="og:description" content="We have a dream. We believe it is possible to produce free, secure privacy software that is...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/volunteer-qa-price-freedom-eternal-vigilance/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Volunteer QA: The Price of Freedom is Eternal Vigilance
      </h1>
    <p class="meta">by mikeperry | May 23, 2012</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>We have a dream. We believe it is possible to produce free, secure privacy software that is regularly used by many millions of ordinary people all over the world. They will use it to inform themselves, explore new and controversial ideas, communicate with one another, and safely share things about their lives. They will do so with confidence that so long as the software rests upon a secure foundation, it will not betray them; in fact it *cannot* betray them, by design.</p>

<p>Tor Browser Bundle can be that software. Sadly, we know that it is not yet that software. We're aware that many aspects of the Bundle are either imperfect, incomplete, or absent entirely. We intend to work as hard as we can to improve this situation. </p>

<p>However, we also know that even the keystone of true security is not yet properly in place. We know that we must properly deploy this keystone, or we risk the collapse of everything we have built so far.</p>

<p>That keystone is the community that reviews our designs. It is the community that audits our source code. It is the community that tests the binaries produced from that source code. It is the community that will verify that the binaries that we distribute are produced from that source code and nothing else.</p>

<p>It is time to organize our community into place to serve as that keystone. We cannot have true security without it.</p>

<p>Our plan is to start small, with manual testing and manual analysis of each build. We will use that to incrementally work towards full automation available to be run on any of the arbitrary platform configurations available to the community. Runa Sandvik will begin coordinating these releases.</p>

<p>We expect the process to be bumpy at first. To start, Runa will simply give interested people a url to a release candidate with a <a href="https://trac.torproject.org/projects/tor/ticket/5292" rel="nofollow">grab bag of urls</a> along with some basic tests to perform within some time limit before the build is to be released. These urls will initially come from arbitrary pages around the web, but hopefully we'll eventually distill them into our own collection of minimal test cases for which testing is fully automated. Until that point, test pages will need to come with a description of expected behavior and results.  We're hoping that the community will also seek out new and useful test urls and write up result descriptions for them.</p>

<p>We will soon be switching to the 10.x-ESR Firefox branch for our stable TBBs, while concurrently maintaining an alpha series based on Rapid Release. To minimize the incidence of surprise issues in the stable TBB when ESR undergoes major upgrades, we will need people devoted to testing both branches on multiple platforms. We will also need people running <a href="https://trac.torproject.org/projects/tor/ticket/5791" rel="nofollow">auditing systems that verify the TBB they test is well behaved</a>.</p>

<p>To participate, please inform Runa via email (runa at torproject.org) which TBB branch or branches you intend to test on which platform (Operating System and CPU). Bonus points if you have a unique configuration such as AntiVirus software, and/or are able to analyze TBB in an auditing sandbox framework such as Seatbelt, AppArmor, SELinux, a firewall that will log proxy bypass attempts, or simply with Wireshark or any other network analyzer. Extra bonus points if you <a href="https://trac.torproject.org/projects/tor/ticket/5767" rel="nofollow">document your setup for others to use</a>.</p>

<p>Independent from the group Runa will coordinate, we also need people <a href="https://trac.torproject.org/projects/tor/ticket/5837" rel="nofollow">analyzing our builds</a>, to ensure against tampering at the build machines themselves. We need to use the differences uncovered by this analysis to work towards the ability to <a href="https://trac.torproject.org/projects/tor/ticket/3688" rel="nofollow">produce identical binaries on multiple, clean instances of build platforms</a> which can be brought up from scratch anywhere around the world.</p>

<p>To help us get started, we will also need people who simply create independent builds for others to compare against our official builds. I suspect that many reversers and hobbyists interested in learning reversing may find devoting the system resources and time to build their own TBB binaries a prohibitive barrier.</p>

<p>Basically, everyone should try to help eliminate the need for duplicate work done by others at each step of both the QA and build inspection processes. Similarly, we should be constantly looking to refine our testing and analysis processes to eliminate manual labor.</p>

<p>Thank you all for you willingness to help. Let's work together to build the world we want to live in.</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/applications">
          applications
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-15710"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15710" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 23, 2012</p>
    </div>
    <a href="#comment-15710">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15710" class="permalink" rel="bookmark">In PIDGIN, which can be</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>In PIDGIN, which can be configured easily with TOR, there is no option of pictures sharing which is used routinely. Hence we have to use YAHOO MESSENGER for our conversation with the members of our anti-corruption and anti human trafficking group because it is better to share images instantly over yahoo rather than uploading them onto filesharing sites.</p>
<p>A computer operator working for us told us to use proxifier to proxify yahoo messenger with TOR and asked us to use the following settings which you can see in image format (screenshots).</p>
<p>Kindly check and reply if these settings are safe.<br />
Image 1: <a href="http://img14.picoodle.com/i55n/dekho/0_64b_uck3u.png" rel="nofollow">http://img14.picoodle.com/i55n/dekho/0_64b_uck3u.png</a></p>
<p>Image:2: <a href="http://img13.picoodle.com/i55n/dekho/1_c5f_uck3u.png" rel="nofollow">http://img13.picoodle.com/i55n/dekho/1_c5f_uck3u.png</a></p>
<p>Image:3: <a href="http://img14.picoodle.com/i55n/dekho/2_39f_uck3u.png" rel="nofollow">http://img14.picoodle.com/i55n/dekho/2_39f_uck3u.png</a></p>
<p>Image:4 - <a href="http://img15.picoodle.com/i55n/dekho/3_37e_uck3u.png" rel="nofollow">http://img15.picoodle.com/i55n/dekho/3_37e_uck3u.png</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-15711"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15711" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 23, 2012</p>
    </div>
    <a href="#comment-15711">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15711" class="permalink" rel="bookmark">It&#039;s not going to work.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It's not going to work. Current software engineering practice <em>cannot</em> assure that anything as complicated as the TBB, with as many complicated interfaces to as many complicated things as the TBB, "cannot betray them, by design". You might be able to make it <em>less likely</em> to betray them, but only if you change the basic design.</p>
<p>It doesn't matter how many people you get involved. You will still have a giant mass of largely uncompartmented code written by multiple people and organizations in multiple languages. You will still have a giant fractally complex attack surface (actually two giant fractally complex attack surfaces), plus a giant fractally complex interface with a system that's crammed full of the information you're trying to protect.</p>
<p>Plus, for extra fun, it's running on a platform provided by the user, one that you don't control, and one that comes in at least three major flavors and innumerable variants. And each and every component is constantly changing on a separate schedule, and you can't afford to get behind. And any fixes you make will have to get pumped through those same release processes, and they won't go through all that fast.</p>
<p>You need to control those attack surfaces. Or you need to reduce the need to secure them by defining some defensible boundaries. Or both.</p>
<p>You almost certainly need a sandbox, maybe more than one. And they need to have truly, fundamentally simple edges, not nightmares where you have to monitor everything crossing something hugely complicated, like the DOM, or the system call interface of a general purpose operating system. Or you're going to fail.</p>
<p>The TBB, with its existing "run a browser on the user's computer and pray" design, can't ever reliably protect against a state actor or even against Pinkie Pie. All it takes is one zero-day in a browser, a plugin, or an addon. Or, of course, in Tor itself, but at least that's a little smaller and a little more under your control.</p>
<p>You could do something more securable than you have, by at least making sure that an attacker provably had to breach more than one identifiable, independently implemented boundary. You could make those boundaries as small and simple as possible. Then you could start trying to QA the result.</p>
<p>But to do that you would have to throw away most of what you have now, which means throwing away most of the QA work you're asking people to do.</p>
<p>You're not ready. Why do you want to QA an architecture that can never give you confidence?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15718"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15718" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  mikeperry
  </article>
    <div class="comment-header">
      <p class="comment__submitted">mikeperry said:</p>
      <p class="date-time">May 23, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15711" class="permalink" rel="bookmark">It&#039;s not going to work.</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15718">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15718" class="permalink" rel="bookmark">Wow, you sure are one hell</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Wow, you sure are one hell of a defeatist. Why bother doing anything at all? We should all just go home, right?</p>
<p>The reason we don't is very simple: Because people use the software right now. They want it to exist. At least some of those people can and will help us get to the level of security you describe, if only we ask them to help and can make proper use of their efforts.</p>
<p>This is how Open Source development works. People scratch their own itches. They will help each other build the software they want to use, if given the opportunity to do so.</p>
<p>For example, if you check the sandboxing ticket (#5791), we've already got several community-developed sandboxes up there. It's very likely at least one of the sandboxes that the community creates will be the foundation or at least the prototype for the official sandbox we deploy. In the meantime, community-developed sandboxes will also help us discover important privacy and security bugs in the software as people use them and notice violations.</p>
<p>End-to-end defense-in-depth security doesn't just descend down from heaven. We must iterate towards it. We'll get there eventually, but it will take time and wide-spread community review, auditing, and validation testing at every step.</p>
<p>There really is no other way.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15729"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15729" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 24, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to mikeperry</p>
    <a href="#comment-15729">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15729" class="permalink" rel="bookmark">Read it again. I&#039;m not</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Read it again. I'm not telling you to do nothing. I'm telling you that you need to fix your architecture before you dump a lot of effort into QAing what you have.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-15737"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15737" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 24, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to mikeperry</p>
    <a href="#comment-15737">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15737" class="permalink" rel="bookmark">I went and read ticket</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I went and read ticket number 5791. The things people are talking about there are not close to where I believe you need to be. I think you <em>can</em> get where you need to be, but you need to think bigger, be more radical, and probably give up something else. That doesn't mean you need to do <em>more</em>, but it means you need to use your resources <em>differently</em>. What you're calling for will, in my very strong opinion, misdirect your resources into an untenable path.</p>
<p>You cannot QA the browser. You don't have the resources. The browser projects are a lot bigger than you are, have direct control over browser development, and <em>they</em> can't QA the browser. And it's not even just the browser; people are going to want or need a bunch of plugins, addons, IM clients, document viewers, media players, etc, etc, any of which can have killer holes. They might even need their own domain-specific apps. Call the whole mess "UA" code.</p>
<p>Your only path to success is to assume that all of the UA software is enemy code. Keep it up to date, sure. Configure it the best way you know how, sure. Choose projects with good security practices, sure. Maybe even test it a bit, if you get the time. But your own efforts to make that giant mass of code "safe" <em>can't</em> be your primary line of defense, and you <em>can't</em> assume you've succeeded.</p>
<p>That means that something that is <em>not</em> part of the UA code, and that can't be changed by the UA code, must enforce a <em>lot</em> more than I see anybody talking about in ticket 5791.</p>
<ul>
<li>The UA can't talk to the outside world <em>at all</em> except through Tor. No TCP, no UDP, no DNS, whatever. Not on the LAN, not services on the user's local machine, not anywhere.
</li>
<li>The UA can't know the user's IP address. Tricky, since it does have to be able to do sockets.
</li>
<li>The UA can't have access to the user's regular files.
</li>
<li>The UA can't know anything about the hardware. No MAC addresses, no serial numbers, no device types, maybe not even the real screen resolution.
</li>
<li>The UA can't talk directly to the same window system that has the user's non-Tor stuff going on in it.
</li>
<li>The UA isn't allowed to probe all over the place for security holes. Even letting it make unfiltered system calls is probably too much.
</li>
<li>The UA probably can't keep  persistent state. If it does, there at least have to be multiple isolated copies of that state for different user personas.
</li>
</ul>
<p>You need at least one reliable layer of defense between the UA code and the user's system, probably two independent ones. Anything short of that, and one day you're going to hear that Iran or somebody has suddenly arrested a few hundred of your more prominent users. You know, as an example for the others.</p>
<p>The only way I can think of doing that is to wrap the UA code in a VM, with a tightly locked down OS of your own running in that VM. Even that OS shouldn't get private information. It should have only a virtual LAN connection, one with a local address, that can only talk to a Tor process running outside the VM. I think you need to keep all non-anonymous information completely <em>out</em> of that VM.</p>
<p>Myself, I'd use Linux in the VM, because it's auditable, easy to distribute, and has some of the right features. And I'd use both SELinux and the Linux namespace features to keep the UA code from probing the rest of the VM. And I would probably put Tor in yet another VM. And I would probably give at least the option of a TAILS-like standalone system where both of those VMs ran under a virtualizer I controlled, rather than directly on the user's regular environment. And I would still be nervous. But at least I'd have done something that would take a real effort to beat.</p>
<p>You're right. I'm defeatist. I'm defeatist because I do <em>not</em> believe that you can protect the user <em>while running directly in the user's own OS instance</em>, especially at the same time giving the user an unrestricted choice of OS. I do <em>not</em> believe that you can have Tor and Vidalia running in the same compartment as the UA code.</p>
<p>I believe you should abandon those goals in favor of genuine protection.</p>
<p>And I do not believe that you should direct your limited resources to the impossible end of trying to secure a Web browser.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15738"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15738" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  mikeperry
  </article>
    <div class="comment-header">
      <p class="comment__submitted">mikeperry said:</p>
      <p class="date-time">May 24, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15737" class="permalink" rel="bookmark">I went and read ticket</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15738">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15738" class="permalink" rel="bookmark">First of all, everything you</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>First of all, everything you describe still has to have a browser buried in there somewhere. That browser still needs to be audited for privacy and security issues.</p>
<p>Second, most if not all of the things in your bullet list *are* possible in a good sandbox.</p>
<p>Third, that sandbox is still just a layer around the browser. Tails or any other system in a VM can be another layer around that. Each layer needs auditing and testing, *including* the browser.</p>
<p>These are all independent, orthogonal defenses, and each defense can be used to audit and reinforce the others. There's no need to abandon testing and improving one just because the others are useful or important, too.</p>
<p>We need all of them for extreme cases like state-sized adversaries. </p>
<p>I'm not convinced we need all of them simply to avoid tracking by the ad networks, residential ISPs, and random Internet stalkers. That's why TBB is worth producing on its own. Though I agree, let's work with the community to figure out how to ship a good sandbox for it.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15747"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15747" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 24, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to mikeperry</p>
    <a href="#comment-15747">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15747" class="permalink" rel="bookmark">NoScript dev Giorgio Maone</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>NoScript dev Giorgio Maone has written that sandboxing is overrated.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15803"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15803" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  mikeperry
  </article>
    <div class="comment-header">
      <p class="comment__submitted">mikeperry said:</p>
      <p class="date-time">May 27, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15747" class="permalink" rel="bookmark">NoScript dev Giorgio Maone</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15803">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15803" class="permalink" rel="bookmark">Citation needed? NoScript</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Citation needed? NoScript provides vulnerability surface reduction. It doesn't solve everything. It's another layer, but it has its downsides. The primary one for us being a huge fingerprinting impact if you tailor it from defaults.</p>
<p>It's possible Giorgio could myopically believe he competes with sandboxing.. But also I find that doubtful. He's pretty sharp. He could just be doubtful that current sandboxing is statistically better at its current state than vulnerability surface reduction, and therefore Firefox + NoScript is better than Chrome + Chrome's Sandbox.</p>
<p>But there's no reason you can't do both, if you do it right.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15822"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15822" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 29, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to mikeperry</p>
    <a href="#comment-15822">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15822" class="permalink" rel="bookmark">Giorgio Maone: Sandboxing</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Giorgio Maone: Sandboxing Overrated :</p>
<p><a href="http://hackademix.net/2012/02/16/sandboxes-are-overrated-told-you-4-years-ago/" rel="nofollow">http://hackademix.net/2012/02/16/sandboxes-are-overrated-told-you-4-yea…</a></p>
<p><a href="http://hackademix.net/2008/01/12/malware-20-is-now/" rel="nofollow">http://hackademix.net/2008/01/12/malware-20-is-now/</a></p>
<p><a href="http://hackademix.net/2011/04/12/yet-another-adobe-flash-and-reader-0-day/#comment-24616" rel="nofollow">http://hackademix.net/2011/04/12/yet-another-adobe-flash-and-reader-0-d…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div></div></div><a id="comment-15720"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15720" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 23, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15711" class="permalink" rel="bookmark">It&#039;s not going to work.</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15720">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15720" class="permalink" rel="bookmark">There are many people who</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>There are many people who would like to see Tor fail, for obvious reasons. You are obviously among them.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-15714"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15714" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 23, 2012</p>
    </div>
    <a href="#comment-15714">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15714" class="permalink" rel="bookmark">HOW TO CHECK OUTGOING</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>HOW TO CHECK OUTGOING TRAFFIC AND SOME SECURITY ISSUES!<br />
*********************************************************<br />
Sometimes we have to configure some applications like yahoo messenger and other instant messengers or browsers with TOR, but we want to know some fool-proof method to know as to where our outgoing traffic is going and whether the application is currently routing the whole traffic through TOR or not.</p>
<p>When I configure any application, I reply on freeway tools like cports or PROCESS HACKER or PROCESS EXPLORER to see where my application is connected. Is it an authentic way to do the same?</p>
<p>    Please give us some method to check all that. Most of the social activists are not well versed in techniques.</p>
<p>    Why TOR or TAILS doesn't maintain connection to 4 or 5 nodes instead of just 3 nodes? I think that creating something to route the data through 4 or 5 nodes of different countries will be more secure because it will more likely to be 100% anonymous over internet.</p>
<p>    Today someone suggested me to your a new TOR/TAILS based application called "AdvOR" or "AdvTOR" or "Advanced Onion Routing" which routes our all internet traffic to any number of nodes (subject to maximum of 10 nodes and that too all belonging to different countries). But since this AdvOR is not certified by your, nor by TOR, we can't rely on that because we can not believe in their claims unless duly recommended by your team. What's your take on it? If they can give us an option to set any number of nodes to route our traffic, why can't you do the same? You are doing a lot of hard work to ensure security of life and liberty to social activists and we want something more and more secure.</p>
<p>    We have to use many addons on Firefox while using "TAils" and "TOR"; how can we know which addon is safe and doesn't reveal our real IP address?</p>
<p>The problem with TAILS is that it is based on linux which we generally do not use because we are using Windows operating system since our childhood.</p>
<p>Kindly discuss in detail as all the users of TAILS and TOR are supposed to read this thread. Discuss more and more in this thread (post).</p>
<p> Facebook has started blocking the profiles of users who are using TOR/TAILS due to constant change in IP address. They compel the users to verify their profiles with cellphone numbers which we can not do because giving cellphone number means giving each and every verified details of ours to facebook and we can be traced easily within a few minutes.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15722"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15722" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 23, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15714" class="permalink" rel="bookmark">HOW TO CHECK OUTGOING</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15722">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15722" class="permalink" rel="bookmark">&quot;The problem with TAILS is</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"The problem with TAILS is that it is based on linux which we generally do not use because we are using Windows operating system since our childhood."</p>
<p>Evil laughter from Microsoft ensues ;)</p>
<p>Besides I would also like to know if you follow the development of AdvOR and if you see any striking issues with the recent releases?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-15724"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15724" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 23, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15714" class="permalink" rel="bookmark">HOW TO CHECK OUTGOING</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15724">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15724" class="permalink" rel="bookmark">I am not a developer, just a</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I am not a developer, just a user and follower.</p>
<p>It is my understanding that, at the moment, the only methods of using Tor that are recommended and thought to be somewhat reliable are either the Tor Browser Bundle (<a href="https://www.torproject.org/projects/torbrowser.html.en" rel="nofollow">https://www.torproject.org/projects/torbrowser.html.en</a>), or to use TAILS by booting it from a USB drive, running it off of an optical disc, or by running it in a virtual machine (assuming you trust the computer hardware, operating system, and VM software you are using) (<a href="http://tails.boum.org/" rel="nofollow">http://tails.boum.org/</a>).<br />
I believe the developers are discouraging people from manually setting applications to use Tor, as it is very likely that applications are giving away your identity unless they have been properly and thoroughly tested and examined. For instant messaging, you can use Pidgin inside the TAILS system to log onto Yahoo and other services for instant messaging.<br />
Pidgin used to be included in the browser bundle, but was found to leak identifying information. (<a href="https://blog.torproject.org/blog/tor-im-browser-bundle-discontinued-temporarily" rel="nofollow">https://blog.torproject.org/blog/tor-im-browser-bundle-discontinued-tem…</a>)<br />
You can use Pidgin without Tor and still protect the contents of your conversations and also verify who you are talking with and give yourself deniability by using the plugin called OTR (off-the-record). This is a plugin you can download for Pidgin (windows/linux). The plugin also comes included with Adium (mac), Jitsi (all systems). The plugin can also be used on phones with Gibberbot (android) and ChatSecure (iOS). These programs should all be able to message each other using OTR. OTR does NOT conceal your IP/location, or who or when you are talking to someone... it only protects the contents of the conversation.</p>
<p>This explains why Tor uses 3 nodes and not 4 or 5 or more: <a href="https://trac.torproject.org/projects/tor/wiki/doc/TorFAQ#Youshouldletpeoplechoosetheirpathlength" rel="nofollow">https://trac.torproject.org/projects/tor/wiki/doc/TorFAQ#Youshouldletpe…</a>.</p>
<p>As far as plugins/addons/extensions for web browsing, I think it is usually best to change the Browser Bundle and TAILS browser as little as possible. This is not only just so that you don't unknowingly compromise your anonymity, but also because browsers report information about what is loaded in what is called a User Agent. When you change your add-ons, it makes your User Agent different and this makes it stand apart from all the people who left their browser settings as they originally were. This might make it easier for someone to identify you when you visit websites. It is best if everyone's user agent has many other people's who's user agent is identical to them. You can see more about this here: <a href="https://www.eff.org/deeplinks/2010/01/tracking-by-user-agent" rel="nofollow">https://www.eff.org/deeplinks/2010/01/tracking-by-user-agent</a></p>
<p>I have personally not heard of AdvTor.</p>
<p>Using an operating system you are not used to can be very uncomfortable and frustrating, but almost all gnu/linux operating systems like Debian (what TAILS uses) and Ubuntu (based on Debian) are free and have lots of documentation and website to help you learn to use them. They are ideal for people who are concerned with surveillance and privacy, because their code is free for everyone to see and copy and explore; This makes it hard for anyone to keep secrets that might harm someone's rights to privacy, and lets anyone who has a solution to a problem be free to implement it as they wish. There are many other reason's why gnu/linux and protecting privacy go well together. If you care about these things, you should try to spend a little time to get familiar with them. You can even use them as your full-time computer operating system.</p>
<p>About a year ago I tried to use Facebook with Tor, and found the same things you mentioned, that Facebook has made their website so that it is almost impossible to use Tor to access it. So I haven't had a Facebook for a year now. It has a very poor privacy policy and people shouldn't use it anyway. You should try using Identi.ca, or Twitter, and watch the project "Diaspora" throughout the rest of the year.<br />
And yes, you should never post something like your phone number anywhere on any part of the internet, ever.</p>
<p>Hope I helped some :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15727"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15727" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 24, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15724" class="permalink" rel="bookmark">I am not a developer, just a</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15727">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15727" class="permalink" rel="bookmark">////but also because</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>////but also because browsers report information about what is loaded in what is called a User Agent. When you change your add-ons, it makes your User Agent different and this makes it stand apart from all the people who left their browser settings as they originally were. This might make it easier for someone to identify you when you visit websites. It is best if everyone's user agent has many other people's who's user agent is identical to them. ////</p>
<p>Oh, considering that I could be more safe I was spoofing my useragent by using certain firefox addons out of which UA Control was the best for me. I have set the following custom useragent for all the websites:<br />
"Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10_5; en-US) AppleWebKit/525.27.1 (KHTML, like Gecko) Version/3.2.1 Safari/525.27.1"</p>
<p>Actually I was doing all this to take plea that I don't own MAC Computer and thus I was the not the user of the websites where I shared confidential matter. I think now I should consider the facts given by you and use the default useragent of TBB.</p>
<p>Thanks for detailed reply.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-15725"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15725" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  mikeperry
  </article>
    <div class="comment-header">
      <p class="comment__submitted">mikeperry said:</p>
      <p class="date-time">May 23, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15714" class="permalink" rel="bookmark">HOW TO CHECK OUTGOING</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15725">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15725" class="permalink" rel="bookmark">You asked a lot of good,</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You asked a lot of good, hard questions. I wasn't actually sure where to begin.</p>
<p>First: Your first line. For Windows, my recommendation is simply watch things with Wireshark:<br />
<a href="http://wiki.wireshark.org/CaptureSetup/WLAN#Windows" rel="nofollow">http://wiki.wireshark.org/CaptureSetup/WLAN#Windows</a><br />
<a href="http://portforward.com/networking/wireshark.htm" rel="nofollow">http://portforward.com/networking/wireshark.htm</a></p>
<p>However, use of it will require an understanding of how the Web works... I recommend watching non-Tor traffic to get an idea of how it differs from Tor traffic. HTTP and DNS traffic will be easier to spot than HTTPS, when mixed together with Tor traffic.</p>
<p>For your questions about AdvOR, I generally feel like they're probably not actively out to mess you up, but I worry about their assumptions that all apps are always safe to shove through Tor on a per-process basis with no other tweaks. In fact, Chrome is known to have <a href="https://trac.torproject.org/projects/tor/wiki/doc/ImportantGoogleChromeBugs#ProxyBypassBugs" rel="nofollow">several out-of-process proxy bypass bugs</a> that likely won't be fixed by AdvOR's "Force Process" machinery. Obviously, you'll want someone to verify this (probably with Wireshark....).</p>
<p>As for TBB standalone vs Tails, in a serious situation my money would be on Tails (unless you have sandboxing for TBB). If you can tolerate using a second machine for private things, that is... It's just a shame Tails does not yet share our Tor Browser patches (which help <b>*substantially*</b> with fingerprint-based tracking and website visit linkability).</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15728"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15728" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 24, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to mikeperry</p>
    <a href="#comment-15728">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15728" class="permalink" rel="bookmark">Thanks. I used wireshark but</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks. I used wireshark but could not understand anything because of its real time monitoring where every entry was alien to me. I don't know how does it work. I don't know why people develop such complicated tools/interfaces which ordinary people can't understand. TOR is the best application in the world I have ever seen because it is all preconfigured and categorically show the nodes where we are connected to.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-15721"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15721" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 23, 2012</p>
    </div>
    <a href="#comment-15721">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15721" class="permalink" rel="bookmark">Create a forum, now.
No,</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Create a forum, now.</p>
<p>No, really, create a forum, now!</p>
<p>Can you hear me now?</p>
<p>CREATE A FORUM, NOW!!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15726"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15726" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  mikeperry
  </article>
    <div class="comment-header">
      <p class="comment__submitted">mikeperry said:</p>
      <p class="date-time">May 23, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15721" class="permalink" rel="bookmark">Create a forum, now.
No,</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15726">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15726" class="permalink" rel="bookmark">I feel your pain. We&#039;re</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I feel your pain. We're working on this, but we don't want to get pwnt while running some shit like phpbb. AFAIK, the current thinking is that we want something akin to stackoverflow for Tor.</p>
<p>If someone else wants to create a phpbb instance so their own machine can get pwnt, we wouldn't tell people not to use it. If good QA/sandboxing/auditing discussion took place there, we might even encourage people to collaborate there.</p>
<p>In the meantime, can you create a free email account and subscribe to tor-talk?</p>
<p><a href="https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-talk" rel="nofollow">https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-talk</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15743"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15743" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 24, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to mikeperry</p>
    <a href="#comment-15743">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15743" class="permalink" rel="bookmark">&quot;We&#039;re working on</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"We're working on this"</p>
<p>Finally, you're working on an official Tor discussion forum?</p>
<p>You just made my day, thank you and godspeed!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15761"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15761" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">May 25, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15743" class="permalink" rel="bookmark">&quot;We&#039;re working on</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15761">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15761" class="permalink" rel="bookmark">We have been for a few</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We have been for a few months now. There are two initial issues:</p>
<p>A) We're nervous that we won't have enough coverage by clueful Tor people (since all the developers are flat-out overloaded; but that's another story), so it will be confused people talking in a vacuum. That will be just as frustrating as the mess here.</p>
<p>B) What Mike said above -- most forum software is incredibly bad from a security perspective. That implies even more ongoing commitment to keeping it up-to-date. If we're going to spend time getting our act together on something, shouldn't we focus on the TBB build and QA system first? :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15790"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15790" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 26, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to arma</p>
    <a href="#comment-15790">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15790" class="permalink" rel="bookmark">&quot;shouldn&#039;t we focus on the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"shouldn't we focus on the TBB build and QA system first?"</p>
<p>Having an official Tor forum is critical.</p>
<p>There has to be *some* money in the barrel for a forum. It would be a central focal point for all user skill sets and may attract more developers (and moderators) who may contribute for free!</p>
<p>Every serious project *needs* a forum, especially this one.</p>
<p>I can guarantee you'd receive more bug reports and people trying to improve Tor if you made an official forum.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15806"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15806" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  mikeperry
  </article>
    <div class="comment-header">
      <p class="comment__submitted">mikeperry said:</p>
      <p class="date-time">May 28, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15790" class="permalink" rel="bookmark">&quot;shouldn&#039;t we focus on the</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15806">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15806" class="permalink" rel="bookmark">To be honest, the Tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>To be honest, the Tor Project might be making the perfect the enemy of the good here. I would personally argue against doing any trademark violation pursuit against any random "Tor User Forum", so long as it did not seem to consistently spread misinformation. We just don't know how to host and maintain such a thing properly ourselves on our own infrastructure.</p>
<p>If such a forum *does* end up consistently recommending garbage, we probably will have to ask it to call itself by some other name.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-15823"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15823" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 29, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to arma</p>
    <a href="#comment-15823">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15823" class="permalink" rel="bookmark">&quot;We&#039;re nervous that we won&#039;t</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"We're nervous that we won't have enough coverage by clueful Tor people (since all the developers are flat-out overloaded; but that's another story),"</p>
<p>Yet, you continue to offer support not only on IRC but also by individual email and even by *telephone* (!). Surely that cannot be a cost-effective use of limited resources. Time spent on a forum would help many more people. </p>
<p>All this was noted numerous times on this blog.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-15746"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15746" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 24, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to mikeperry</p>
    <a href="#comment-15746">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15746" class="permalink" rel="bookmark">&quot;some shit like phpbb&quot;
Such</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"some shit like phpbb"</p>
<p>Such gratuitous profanity is beneath you, Mr. Perry.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15784"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15784" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 26, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15746" class="permalink" rel="bookmark">&quot;some shit like phpbb&quot;
Such</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15784">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15784" class="permalink" rel="bookmark">I would suggest substituting</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I would suggest substituting a symbol for a letter (for example, sh*t). It communicates the same thing without strictly being an expletive.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15805"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15805" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  mikeperry
  </article>
    <div class="comment-header">
      <p class="comment__submitted">mikeperry said:</p>
      <p class="date-time">May 27, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15784" class="permalink" rel="bookmark">I would suggest substituting</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15805">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15805" class="permalink" rel="bookmark">What? Do we have an</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What? Do we have an adversary here, or are we just wanking off into the ether? Are there some people who somehow can only use http to access the blog, and get blocked because of me?</p>
<p>I'm a native speaker of sailor-mentat. It's tha mothaf*cking king's english where I'm from. I can at times imatute Proper Mentat exalctly, but it takes a metric hella sh*tton of effort, man.</p>
<p>P.S. Was that better? This sh*t is hard, g*dd*amnit. I'll see what I can do.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15814"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15814" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 28, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to mikeperry</p>
    <a href="#comment-15814">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15814" class="permalink" rel="bookmark">Hahaha I would buy you a</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hahaha I would buy you a beer if I could for making me laugh.<br />
(im not anyone above)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-15844"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15844" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 30, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to mikeperry</p>
    <a href="#comment-15844">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15844" class="permalink" rel="bookmark">&quot;Do we have an adversary</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"Do we have an adversary here, or are we just wanking off into the ether?"</p>
<p>First, if someone who merely posts, "Such gratuitous profanity is beneath you, Mr. Perry" ("Mr.", no less) is an "adversary" to you, then I'd hate to see how you react to a REAL adversary.</p>
<p>(Please do not take the following personally. I would and have asked the same basic questions to many others, and regarding similar usages in the vernacular.)</p>
<p>Regarding your metaphor:</p>
<p>Assuming you have no actual objections to the practice of masturbation, how, exactly, does it make sense to use a reference to it as a pejorative?</p>
<p>Now, perhaps you will answer that "wanking off into the ether" was merely a way of symbolizing trolling, i.e., an activity that may provide thrill gratification to the one engaging in it but is ultimately pointless and futile.</p>
<p>In that case, I would ask:</p>
<p>When not procreative or serving to bond lovers, what, exactly, does sexual contact with another accomplish that masturbation doesn't?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15962"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15962" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 05, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15844" class="permalink" rel="bookmark">&quot;Do we have an adversary</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15962">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15962" class="permalink" rel="bookmark">I see the Juice of Sapho</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I see the Juice of Sapho stains dark upon your lips, fellow Mentat! Take warning, take warning! Before it is too late!</p>
<p><a href="https://en.wikipedia.org/wiki/Mentat#Mantra" rel="nofollow">https://en.wikipedia.org/wiki/Mentat#Mantra</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-15846"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15846" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 30, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to mikeperry</p>
    <a href="#comment-15846">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15846" class="permalink" rel="bookmark">&quot;wanking off into the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"wanking off into the ether"</p>
<p>Hmm, sounds like the dream of every adolescent male: No messy, embarrassing evidence left behind...</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div><a id="comment-15812"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15812" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 28, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to mikeperry</p>
    <a href="#comment-15812">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15812" class="permalink" rel="bookmark">What&#039;s your opinion of the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What's your opinion of the open-source, and old (and well maintained(?)) Phorum? It uses PHP and MySQL -- <a href="http://www.phorum.org/" rel="nofollow">http://www.phorum.org/</a></p>
<p>The problem I see with most secure software, and hosted options mentioned in <a href="https://trac.torproject.org/projects/tor/ticket/3592" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/3592</a>, is they are quite ugly and atypical [0] of discussion forums most Internet users are used to; if you're going to offer a discussion forum, it should not confuse people.</p>
<p>I know PHP has security issues, but there has to be a happy medium between something that would be ideal (from a user perspective) [1,2], and something that would be ideal from a security perspective. People should enjoy using your forum...and it should be easy to use and not atypical (granted, that doesn't mean you need YouTube embedding, emoticons, and the like garbage).</p>
<p>[0] <a href="http://zoho.com" rel="nofollow">http://zoho.com</a><br />
[1] <a href="http://forum.atagar.com/" rel="nofollow">http://forum.atagar.com/</a><br />
[2] <a href="http://i2p2.de" rel="nofollow">http://i2p2.de</a></p>
<p>Note: I am looking to open a forum, with a small child-forum on Tor usage for Windows, and I'm looking for good discussion forum software. That's why I'm following #3592. I looked at Phorum, but I found it atypical (graphically) in a way that I believe would be displeasing to most visitors.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-15813"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15813" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 28, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to mikeperry</p>
    <a href="#comment-15813">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15813" class="permalink" rel="bookmark">How about Atagar&#039;s?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>How about Atagar's? <a href="http://forum.atagar.com/" rel="nofollow">http://forum.atagar.com/</a></p>
<p><a href="https://trac.torproject.org/projects/tor/ticket/3592#comment:5" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/3592#comment:5</a><br />
<a href="https://trac.torproject.org/projects/tor/ticket/3592#comment:7" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/3592#comment:7</a><br />
<a href="https://trac.torproject.org/projects/tor/ticket/3592#comment:8" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/3592#comment:8</a><br />
<a href="https://trac.torproject.org/projects/tor/ticket/3592#comment:10" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/3592#comment:10</a><br />
<a href="https://trac.torproject.org/projects/tor/ticket/3592#comment:11" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/3592#comment:11</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-15753"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15753" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 25, 2012</p>
    </div>
    <a href="#comment-15753">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15753" class="permalink" rel="bookmark">&gt;You&#039;re right. I&#039;m</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt;You're right. I'm defeatist. I'm defeatist</p>
<p>You make an overgeneralizations for the problems too.</p>
<p>IMHO, you correctly define a vectors of attacks and point to a very broad domain of TBB complicacy.</p>
<p>"All or nothing security" is not a "do nothing apology". Accomplishing strategy with a "too many defense layers as possible" need optimization and risks evaluations as well as any other parts of the security design .</p>
<p>If you reasonable assume that after some finite layers or rounds you can make a probability of failure is acceptable or close to zero then you wouldn't want to be a defeatist.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-15764"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15764" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 25, 2012</p>
    </div>
    <a href="#comment-15764">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15764" class="permalink" rel="bookmark">&gt; About a year ago I tried</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; About a year ago I tried to use Facebook with Tor, and found the same things you mentioned, that Facebook has made their website so that it is almost impossible to use Tor to access it. So I haven't had a Facebook for a year now. It has a very poor privacy policy and people shouldn't use it anyway. You should try using Identi.ca, or Twitter, and watch the project "Diaspora" throughout the rest of the year.</p>
<p>Facebook is a platform to suck information out of users. So this is the opposite of what TOR intends. Also FB is some sort of a closed private Internet open only to whose who abide the rules and are able to feed the beast the information it needs. I am sure you have a torrent of information about your particular case, but I say it's stupid to use FB when privacy is of any concern.</p>
<p>Also be aware that any easily available service goes for about the same thing. So Google will go at certain lenghts to make it a pain to log in if you are playing tricks like TOR to change places fast. So Google services should be out of the question too.</p>
<p>Stumbleupon and other sharing services should be left fot those who can afford no privacy. So these should be passed too.</p>
<p>Also free service coupled with any type of search engine or advertiments go down along with Google. Yahoo, AOL, Lycos and so on. They are very very serious about loging and tracking you no matter what and they are going to throw a lot of extra checkups just to discourage you from going against their practices.</p>
<p>Sure, it's hard to find the Gigabytes for free and if they are not free that usually means some identifying credit card. But there are alternatives. I am not going to mention them here as I really don't want them overloaded with trafic. Just do your side of the search. HTTPS is a must because you can't trust the TOR nodes. Free is very important as not to be linked with some banking institution. Always have alternatives. Backup plans. Don't just have one mailbox. Have two. At two different providers. In two different countries.</p>
<p>And remember: there is no such thing as free lunch. And being lazy makes things worse.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-15771"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15771" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 25, 2012</p>
    </div>
    <a href="#comment-15771">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15771" class="permalink" rel="bookmark">First off, big big thanks</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>First off, big big thanks you all</p>
<p>I'm posing a question that is slighty off-topic question, so please feel free to ignore me. Seriously.</p>
<p>That question is if anyone from the Tor team could recommend using the alternative to Tails (its not billed as that by the author just FYI) by the name of Liberté Linux?</p>
<p><a href="http://dee.su/liberte-faq" rel="nofollow">http://dee.su/liberte-faq</a><br />
<a href="http://freecode.com/projects/liberte" rel="nofollow">http://freecode.com/projects/liberte</a></p>
<p>In particular, could the Cables protocol it implements (<a href="https://github.com/mkdesu/cables/wiki" rel="nofollow">https://github.com/mkdesu/cables/wiki</a>) possibly be as sound as it seems? </p>
<p>Thanks for any reply. </p>
<p>P.S. - Can't volunteer at this time but I would if I could.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-15773"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15773" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 25, 2012</p>
    </div>
    <a href="#comment-15773">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15773" class="permalink" rel="bookmark">Great work Tor team! Lots of</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Great work Tor team! Lots of informative comments to read. I agree that forums can waste huge amounts of time. I understand if the Tor developers don't want to spend all day answering questions.</p>
<p>Wiki's are probably a more efficient use of developer time. <a href="https://trac.torproject.org/projects/tor" rel="nofollow">https://trac.torproject.org/projects/tor</a></p>
<p>I know I've referred Tor's extensive documentation a bunch in the past. Thanks again!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15825"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15825" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 29, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15773" class="permalink" rel="bookmark">Great work Tor team! Lots of</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15825">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15825" class="permalink" rel="bookmark">&quot;I understand if the Tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"I understand if the Tor developers don't want to spend all day answering questions."</p>
<p>Currently, Tor devs spend time answering questions by email and *telephone*. Wouldn't that time (however much it is) be spent far more efficiently on a forum?</p>
<p>As was noted numerous times in the past, on a forum,answers could be searched and read, and members of the public could provide answers that Tor devs would simply have to corroborate.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-15891"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15891" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 01, 2012</p>
    </div>
    <a href="#comment-15891">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15891" class="permalink" rel="bookmark">Google is extremely hostile</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Google is extremely hostile to Tor users. I find it difficult to even perform searches with it, and Gmail? Forget it. This is very confusing since I've read that Google funds Tor. Yahoo and Microsoft though are very good for both searches and e-mail.</p>
<p>Facebook is flat out evil. MySpace? Can't even visit the site, redirects to Google! Disturbing how a site can identify Tor users like that. </p>
<p>Twitter so far is a friend.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-15928"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15928" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 03, 2012</p>
    </div>
    <a href="#comment-15928">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15928" class="permalink" rel="bookmark">Please note:
Broken SSL at</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Please note:</p>
<p>Broken SSL at the page:<br />
<a href="https://www.torproject.org/donate/donate.html.en" rel="nofollow">https://www.torproject.org/donate/donate.html.en</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15944"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15944" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">June 03, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15928" class="permalink" rel="bookmark">Please note:
Broken SSL at</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15944">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15944" class="permalink" rel="bookmark">It&#039;s not broken for</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It's not broken for me.</p>
<p>Perhaps you're behind some proxy that does man-in-the-middle attacks on your SSL?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15951"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15951" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 03, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to arma</p>
    <a href="#comment-15951">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15951" class="permalink" rel="bookmark">&gt;Perhaps you&#039;re behind some</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt;Perhaps you're behind some proxy that does man-in-the-middle attacks on your SSL?</p>
<p>Not that I am aware of; just my regular ISP ethernet connection with Firefox 12.<br />
Same thing when I try in TBB.</p>
<p>Neither blog.torproject.org nor the home page at torproject.org seem to give me any problem; when I connect to either with https I see "torproject.org" in a sky-blue box at the left side of the URL bar. </p>
<p>For the blog it says, "Verified by GeoTrust, Inc.", and for the Tor Project home page it says , "Verified by DigiCert Inc."</p>
<p>But when I go to <a href="https://www.torproject.org/donate/donate.html.en" rel="nofollow">https://www.torproject.org/donate/donate.html.en</a> , I do not get the blue bar and Fx says that the page is only partially encrypted.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15955"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15955" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">June 04, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15951" class="permalink" rel="bookmark">&gt;Perhaps you&#039;re behind some</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-15955">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15955" class="permalink" rel="bookmark">Right you are!
I just filed</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Right you are!</p>
<p>I just filed the bug at <a href="https://trac.torproject.org/projects/tor/ticket/6056" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/6056</a></p>
<p>Thanks.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-15990"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15990" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 05, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-15955" class="permalink" rel="bookmark">Right you are!
I just filed</a> by arma</p>
    <a href="#comment-15990">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15990" class="permalink" rel="bookmark">Thank you Runa.
I have just</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thank you Runa.</p>
<p>I have just tried again now and the SSL is no longer broken for me.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div></div><a id="comment-16154"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-16154" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 13, 2012</p>
    </div>
    <a href="#comment-16154">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-16154" class="permalink" rel="bookmark">Quoting from the blog</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Quoting from the blog post:</p>
<p><cite>That keystone is the community that reviews our designs. It is the community that audits our source code. It is the community that tests the binaries produced from that source code. It is the community that will verify that the binaries that we distribute are produced from that source code and nothing else.</cite></p>
<p><cite><strong>It is time to organize our community into place to serve as that keystone. We cannot have true security without it.</strong></cite></p>
<p>Conspiracy factists know that military/federal/intelligence entities are highly motivated and funded to penetrate and compromise the enemies of the police state (i.e., any person, group, or technology capable of improving the people's odds against being raped by the state's machinery).</p>
<p>One of the old standbys they use (out of many tactics that you can look up) is to take "The Many Independents" (men and women who work and think independently) and shepherd them into The Organized Group. Because organized groups have LEADERS. And leaders run things, they decide what should be worked on, whose ideas will be used to solve issues, who will be appointed head of this or that initiative, etc. In many different ways both obvious and non-obvious, leaders set agendas and priorities and allocate resouces. Leaders also have the power of the group majority itself (peer pressure) to shame dissenters into silence, to "encourage" the freethinking individualists to "get on board" and "stop making trouble" etc. (In this last regard, make sure to look up "The Delphi Technique" which is used in group settings to engineer concensus via social subterfuge.)</p>
<p><strong>My point is: When it comes to privacy and anonymity technology, especially TOR, thinking people must realize that govt-level attention and resources are being expended to compromise it. And when govts play such games, idiots like you and me aren't going to be seeing it happening out in the open. What you need to look for are events like: The software project gets handed off to a new group of developers. Or: a new "employee" joins the team. Or: Interpersonal differences have broken out among the developers that are throwing a wrench in the bug fix schedule. Or: A new initiative has been begun that wants to take the wild and wonderful constellation of independent software auditors and bring them all under one group (where they can be effectively controlled). Etc. Please be aware.</strong></p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
